| Verb | URI | Description |
| GET | /servers/id |
Lists details for the specified server. |
Normal Response Codes: 200, 203
Error Response Codes: computeFault (400, 500, …), badRequest (400), unauthorized (401), forbidden (403), itemNotFound (404), Method Not Allowed (405), overLimit (413), serviceUnavailable (503)
This operation returns the details of a specified server.
Specify the server ID as id
in the URI.
This operation does not require a request body.
This operation returns a response body, which contains details for the specified server.
The following table describes the fields that are returned in the response body:
| Name | Description | |||
|---|---|---|---|---|
| accessIPv4 | The public IP version 4 access address.
|
|||
| accessIPv6 | The public IP version 6 access address.
|
|||
| addresses | Public and private IP addresses,
The |
|||
| created | The time stamp for the creation date. |
|||
| flavor | The flavor ID. For a list of flavors, see Section 2.5.1, “List Flavors”. |
|||
| hostId |
The host ID. The compute provisioning algorithm has an anti-affinity property that attempts to spread customer VMs across hosts. Under certain situations, VMs from the same customer might be placed on the same host. hostId represents the host your server runs on and can be used to determine this scenario if it is relevant to your application. HostId is unique per account and is not globally unique. |
|||
| id | The server ID. |
|||
| image | The image ID. For a list of images, see Section 2.6.1, “List Images”. |
|||
| links | Server links. |
|||
| metadata | Metadata key and value pairs. |
|||
| name | The server name. |
|||
| progress | The build completion progress, as a percentage. Value is from 0 to 100. |
|||
| status | The server status. See Server Status Values. |
|||
| tenant_id | The tenant ID. |
|||
| updated | The time stamp for the last update. |
|||
| user_id | The user ID. |
|||
| Extended attributes | ||||
| OS-DCF:diskConfig |
Extended attribute. The disk configuration value. Valid values are:
The namespace for this extended attribute is: xmlns:OS-DCF="http://docs.openstack.org/compute/ext/disk_config/api/v1.1" |
|||
| rax-bandwidth:bandwidth |
Extended attribute. The amount of bandwidth used for the specified audit period. The namespace for this extended attribute is: xmlns:rax-bandwidth="http://docs.rackspace.com/servers/api/ext/server_bandwidth/" |
|||
| OS-EXT-STS | Extended attributes. Shows the following extended statuses for servers:
The namespace for this extended attribute is: xmlns:OS-EXT-STS="http://docs.openstack.org/compute/ext/extended_status/api/v1.1" |
|||
Example 2.14. Get Server Details: JSON Response
{
"server": {
"OS-DCF:diskConfig": "AUTO",
"OS-EXT-STS:power_state": 1,
"OS-EXT-STS:task_state": null,
"OS-EXT-STS:vm_state": "active",
"accessIPv4": "198.101.241.238",
"accessIPv6": "2001:4800:780e:0510:d87b:9cbc:ff04:513a",
"addresses": {
"private": [
{
"addr": "10.180.3.171",
"version": 4
}
],
"public": [
{
"addr": "198.101.241.238",
"version": 4
},
{
"addr": "2001:4800:780e:0510:d87b:9cbc:ff04:513a",
"version": 6
}
]
},
"created": "2012-08-16T18:41:43Z",
"flavor": {
"id": "2",
"links": [
{
"href": "https://dfw.servers.api.rackspacecloud.com/010101/flavors/2",
"rel": "bookmark"
}
]
},
"hostId": "33ccb6c82f3625748b6f2338f54d8e9df07cc583251e001355569056",
"id": "ef08aa7a-b5e4-4bb8-86df-5ac56230f841",
"image": {
"id": "3afe97b2-26dc-49c5-a2cc-a2fc8d80c001",
"links": [
{
"href": "https://dfw.servers.api.rackspacecloud.com/010101/images/3afe97b2-26dc-49c5-a2cc-a2fc8d80c001",
"rel": "bookmark"
}
]
},
"links": [
{
"href": "https://dfw.servers.api.rackspacecloud.com/v2/010101/servers/ef08aa7a-b5e4-4bb8-86df-5ac56230f841",
"rel": "self"
},
{
"href": "https://dfw.servers.api.rackspacecloud.com/010101/servers/ef08aa7a-b5e4-4bb8-86df-5ac56230f841",
"rel": "bookmark"
}
],
"metadata": {
"My Server Name": "API Test Server 2"
},
"name": "api-test-server 2",
"progress": 100,
"rax-bandwidth:bandwidth": [],
"status": "ACTIVE",
"tenant_id": "010101",
"updated": "2012-08-16T18:50:38Z",
"user_id": "170454"
}
}
Example 2.15. Get Server Details: XML Response
<?xml version='1.0' encoding='UTF-8'?>
<server
xmlns:rax-bandwidth="http://docs.rackspace.com/servers/api/ext/server_bandwidth/"
xmlns:OS-DCF="http://docs.openstack.org/compute/ext/disk_config/api/v1.1"
xmlns:OS-EXT-STS="http://docs.openstack.org/compute/ext/extended_status/api/v1.1"
xmlns:atom="http://www.w3.org/2005/Atom"
xmlns="http://docs.openstack.org/compute/api/v1.1" status="BUILD"
updated="2012-08-16T18:48:41Z"
hostId="0b88822e7a5db46eb95b69c0608733904b2cd4f18b0c1e418eb06e1c"
name="api-test-server-xml" created="2012-08-16T18:48:23Z"
userId="170454" tenantId="010101" accessIPv4="" accessIPv6=""
progress="25" id="0f828bfb-609c-4042-be41-6dcc1b76228f"
OS-EXT-STS:vm_state="building" OS-EXT-STS:task_state="spawning"
OS-EXT-STS:power_state="0" OS-DCF:diskConfig="AUTO">
<image id="3afe97b2-26dc-49c5-a2cc-a2fc8d80c001">
<atom:link
href="https://dfw.servers.api.rackspacecloud.com/010101/images/3afe97b2-26dc-49c5-a2cc-a2fc8d80c001"
rel="bookmark"/>
</image>
<flavor id="2">
<atom:link
href="https://dfw.servers.api.rackspacecloud.com/010101/flavors/2"
rel="bookmark"/>
</flavor>
<metadata>
<meta key="My Server Name">API Test Server XML</meta>
</metadata>
<addresses>
<network id="public">
<ip version="6"
addr="2001:4800:780e:0510:d87b:9cbc:ff04:5146"/>
<ip version="4" addr="198.101.242.212"/>
</network>
<network id="private">
<ip version="4" addr="10.180.15.103"/>
</network>
</addresses>
<atom:link
href="https://dfw.servers.api.rackspacecloud.com/v2/010101/servers/0f828bfb-609c-4042-be41-6dcc1b76228f"
rel="self"/>
<atom:link
href="https://dfw.servers.api.rackspacecloud.com/010101/servers/0f828bfb-609c-4042-be41-6dcc1b76228f"
rel="bookmark"/>
<rax-bandwidth:bandwidth/>
</server>

![[Note]](/servers-v2-cs-devguide/common/images/admon/note.png)
